﻿// --------------------------------------------------------------------------------------------
// Stefan Cruysberghs
// http://www.scip.be
// Article: Customize WCF RIA Services code generation
// http://www.scip.be/index.php?Page=ArticlesNET36
// --------------------------------------------------------------------------------------------
using Microsoft.ServiceModel.DomainServices.Tools.TextTemplate.CSharpGenerators;

namespace ScipBe.Demo.RiaCodeGen.Web.Generators
{
    public class MyWebContextGenerator : CSharpWebContextGenerator
    {
        public override string TransformText()
        {
            return base.TransformText()
                .Replace(
                "System.ServiceModel.DomainServices.Client.ApplicationServices.WebContextBase", 
                "MyWebContext");
        }

        protected override void GenerateClassDeclaration()
        {
            WriteLine("using ScipBe.Demo.RiaCodeGen.Framework;");            
            base.GenerateClassDeclaration();
        }
    }
}